Bug 1800429 - Review Request - box86
Summary: Review Request - box86
Keywords:
Status: CLOSED DUPLICATE of bug 1901665
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On: 1788327
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-07 03:51 UTC by Raphael Groner
Modified: 2020-11-26 02:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-26 02:59:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Raphael Groner 2020-02-07 03:51:35 UTC
Just as a placeholder for now.
https://github.com/ptitSeb/box86/blob/master/COMPILE.md

Comment 1 Attila Lakatos 2020-02-11 09:47:27 UTC
I do not see the SRPM and spec file. Did you forget to upload the link or am I missing something?

Comment 2 Raphael Groner 2020-02-15 09:45:56 UTC
(In reply to Attila Lakatos from comment #1)
> I do not see the SRPM and spec file. Did you forget to upload the link or am
> I missing something?

First, we need bug #1788327 as a dependency.

Comment 3 Raphael Groner 2020-02-15 09:47:13 UTC
This request is mainly a preparation to give a chance to the emulator box86 and to get it into Fedora with packaging:
"Most x86 Games need OpenGL, so on ARM platforms, a solution like gl4es is probably needed."
https://ameridroid.com/blogs/ameriblogs/how-to-run-x86-linux-applications-on-arm-linux-with-box86

Comment 4 Raphael Groner 2020-03-18 14:54:11 UTC
Well, I'd need real hardware to seriously test this with. Can someone suggest anything, maybe NanoPi?

Comment 5 Petr Pisar 2020-04-30 15:24:21 UTC
I hid this review from a review listing. Once your package is ready, delete the "NotReady" word from a whiteboard field.

Comment 6 Raphael Groner 2020-04-30 16:32:17 UTC
(In reply to Petr Pisar from comment #5)
> I hid this review from a review listing. Once your package is ready, delete
> the "NotReady" word from a whiteboard field.

Thanks for your interest. Sorry for the long delay to provide anything, currently too busy with other things…

Comment 7 Raphael Groner 2020-07-28 11:35:15 UTC
Copied over from bug #1788327 (rewiew GL4ES):

(In reply to Nicolas Chauvet (kwizart) from comment #10)
> (In reply to Raphael Groner from comment #3)
> > Thanks for the hints. I'll continue asap due to limited time.
> > 
> > This request is mainly a preparation to give to the emulator box86 a chance
> > and to get into Fedora with packaging:
> > "Most x86 Games need OpenGL, so on ARM platforms, a solution like gl4es is
> > probably needed."
> > https://ameridroid.com/blogs/ameriblogs/how-to-run-x86-linux-applications-on-
> > arm-linux-with-box86
> 
> As Fedora is concerned, arm (and aarch64) FLOSS drivers are using mesa and
> plain libGL already.
> 
> The only use case where this would be useful would be the PI downstream
> driver (not provided by Fedora) or Mali drivers (not provided by Fedora),
> and few others.
> So if you want box86 on arm with plain libGL and the related mesa drivers
> (vc4/v3d for PI and lima for Mali), nothing hold.
> 
> If you are interested in downstream drivers for PI, then I'm trying to
> "federate" various userspace in a dedicated rpi namespace in rpmfusion.
> The reason why it has to be dedicated is because a ffmpeg built with bcmhost
> enabled (PI downstream driver) would make the whole build PI specific. So my
> guess is that gl4es, once built with -DBCMHOST=1 would be also specific and
> not useful at all on Lima cases and others.
> 
> So that's the reason why I expect this build to be on copr. As I don't
> expect a generic build to be anything useful.
> At least can you submit a box86 review, so we can any if anything hold ?

Comment 8 Raphael Groner 2020-11-26 02:59:22 UTC
New review started in another request, see bug #1901665.

(In reply to Petr Pisar from comment #5)
> I hid this review from a review listing. Once your package is ready, delete
> the "NotReady" word from a whiteboard field.

Anyways, thanks so far for your interest. See bug #1788327 for more details about continuation plans.

*** This bug has been marked as a duplicate of bug 1901665 ***


Note You need to log in before you can comment on or make changes to this bug.